davidnewton
Posts: 8
Joined: Mon Jul 01, 2013 3:10 pm

I can not install anything

Mon Jul 01, 2013 3:15 pm

My new Raspberry Pi seems to work fine, but when I try to use apt-get to install package, it always gives error as below. Can anyone help me to solve this problem? Thanks. I have moved the SD card and checked it in a linux machine with fsck.

Code: Select all

Use of uninitialized value $value in substitution (s///) at /usr/share/perl5/Debconf/Format/822.pm line 65, <$__ANONIO__> line 7306.
Use of uninitialized value $value in substitution (s///) at /usr/share/perl5/Debconf/Format/822.pm line 65, <$__ANONIO__> line 7307.
Use of uninitialized value $value in substitution (s///) at /usr/share/perl5/Debconf/Format/822.pm line 65, <$__ANONIO__> line 7308.
Use of uninitialized value $value in substitution (s///) at /usr/share/perl5/Debconf/Format/822.pm line 65, <$__ANONIO__> line 7309.
Use of uninitialized value $value in substitution (s///) at /usr/share/perl5/Debconf/Format/822.pm line 65, <$__ANONIO__> line 7310.
Use of uninitialized value $value in substitution (s///) at /usr/share/perl5/Debconf/Format/822.pm line 65, <$__ANONIO__> line 7311.
Use of uninitialized value $value in substitution (s///) at /usr/share/perl5/Debconf/Format/822.pm line 65, <$__ANONIO__> line 7312.
Use of uninitialized value $value in substitution (s///) at /usr/share/perl5/Debconf/Format/822.pm line 65, <$__ANONIO__> line 7316.
Use of uninitialized value $value in substitution (s///) at /usr/share/perl5/Debconf/Format/822.pm line 65, <$__ANONIO__> line 7320.
Use of uninitialized value $value in substitution (s///) at /usr/share/perl5/Debconf/Format/822.pm line 65, <$__ANONIO__> line 7324.
Use of uninitialized value $value in substitution (s///) at /usr/share/perl5/Debconf/Format/822.pm line 65, <$__ANONIO__> line 7325.
Use of uninitialized value $item in hash element at /usr/share/perl5/Debconf/DbDriver/File.pm line 85, <$__ANONIO__> chunk 7325.
E: Cannot get debconf version. Is debconf installed?
debconf: apt-extracttemplates failed: No such file or directory
dpkg: error: parsing file '/var/lib/dpkg/available' near line 1:
 field name `^��9' must be followed by colon
E: Sub-process /usr/bin/dpkg returned an error code (2)


drgeoff
Posts: 11229
Joined: Wed Jan 25, 2012 6:39 pm

Re: I can not install anything

Mon Jul 01, 2013 4:27 pm

What OS and version? Did you write the SD card yourself or buy it pre-flashed?
Quis custodiet ipsos custodes?

davidnewton
Posts: 8
Joined: Mon Jul 01, 2013 3:10 pm

Re: I can not install anything

Tue Jul 02, 2013 12:24 am

Thanks for the reply. I use the latest debian wheezy. I flashed the SD card by myself.

cdduvall
Posts: 9
Joined: Sun Jun 02, 2013 12:44 am

Re: I can not install anything

Tue Jul 02, 2013 5:09 am

did you run raspi-config and expand the filesystem?

davidnewton
Posts: 8
Joined: Mon Jul 01, 2013 3:10 pm

Re: I can not install anything

Tue Jul 02, 2013 11:04 am

cdduvall wrote:did you run raspi-config and expand the filesystem?
Yes, I tried, but I got an error message saying "/dev/root is not last partition, don't know how to expand."

itimpi
Posts: 1090
Joined: Sun Sep 25, 2011 11:44 am
Location: Potters Bar, United Kingdom
Contact: Website

Re: I can not install anything

Tue Jul 02, 2013 11:05 am

davidnewton wrote:
cdduvall wrote:did you run raspi-config and expand the filesystem?
Yes, I tried, but I got an error message saying "/dev/root is not last partition, don't know how to expand."
Sounds as if you may be using the NOOBS install. If so that does the required expand automatically as part of the install.

You can always check for free space by using the 'df' command at the command line.

davidnewton
Posts: 8
Joined: Mon Jul 01, 2013 3:10 pm

Re: I can not install anything

Tue Jul 02, 2013 11:32 am

itimpi wrote:
davidnewton wrote:
cdduvall wrote:did you run raspi-config and expand the filesystem?
Yes, I tried, but I got an error message saying "/dev/root is not last partition, don't know how to expand."
Sounds as if you may be using the NOOBS install. If so that does the required expand automatically as part of the install.

You can always check for free space by using the 'df' command at the command line.
No, I used the debain wheezy install, not the NOOBS. I am re-flash the SD card now to see if I can fix this problem.

davidnewton
Posts: 8
Joined: Mon Jul 01, 2013 3:10 pm

Re: I can not install anything

Tue Jul 02, 2013 1:59 pm

It is very frustrating now. I have re-flashed the SD card and started from scratch, but I still have the same error message and can not install any package. Maybe I have to try other installs to see what is going on.

User avatar
pluggy
Posts: 3635
Joined: Thu May 31, 2012 3:52 pm
Location: Barnoldswick, Lancashire,UK
Contact: Website

Re: I can not install anything

Tue Jul 02, 2013 2:16 pm

You're running

Code: Select all

sudo apt-get update
first, aren't you ?
Don't judge Linux by the Pi.......
I must not tread on too many sacred cows......

davidnewton
Posts: 8
Joined: Mon Jul 01, 2013 3:10 pm

Re: I can not install anything

Tue Jul 02, 2013 2:29 pm

pluggy wrote:You're running

Code: Select all

sudo apt-get update
first, aren't you ?
Yes. First time I run sudo apt-get update, I got an error message as

Code: Select all

Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/mirrordirector.raspbian.org_raspbian_dists_wheezy_contrib_i18n_Translation-en
E: The package lists or status file could not be parsed or opened
then, I followed the solution in this thread

http://www.raspberrypi.org/phpBB3/viewtopic.php?t=11824

to fix this, then I can run apt-get update and apt-get upgrade without error. But when I try to install anything, it comes to the same problem as before with many lines of

Code: Select all

Use of uninitialized value $value in substitution (s///) at /usr/share/perl5/Debconf/Format/822.pm line 65, <$__ANONIO__> line 7325.

User avatar
pluggy
Posts: 3635
Joined: Thu May 31, 2012 3:52 pm
Location: Barnoldswick, Lancashire,UK
Contact: Website

Re: I can not install anything

Tue Jul 02, 2013 3:01 pm

Access to the internet works without issues ?

Looking back, it sounds like you have issues with the SD card. I'd try another one ideally (at least in my opinion) a good quality class 4.
Don't judge Linux by the Pi.......
I must not tread on too many sacred cows......

davidnewton
Posts: 8
Joined: Mon Jul 01, 2013 3:10 pm

Re: I can not install anything

Tue Jul 02, 2013 3:16 pm

pluggy wrote:Access to the internet works without issues ?

Looking back, it sounds like you have issues with the SD card. I'd try another one ideally (at least in my opinion) a good quality class 4.
No problem to access the internet. It can fetch all the packages without problem. The problem is after finishing fetching the all dependencies and start to install. I am trying the second SD card to see if the problem persists. The old one I used is Sandisk Ultra class 6.

User avatar
pluggy
Posts: 3635
Joined: Thu May 31, 2012 3:52 pm
Location: Barnoldswick, Lancashire,UK
Contact: Website

Re: I can not install anything

Tue Jul 02, 2013 3:21 pm

If theres no change I'd go to the other stalwart of Pi problems and try another power supply and/or cable. If you have a meter, what's the voltage across TP1 and TP2 ?
Don't judge Linux by the Pi.......
I must not tread on too many sacred cows......

davidnewton
Posts: 8
Joined: Mon Jul 01, 2013 3:10 pm

Re: I can not install anything

Tue Jul 02, 2013 3:31 pm

pluggy wrote:If theres no change I'd go to the other stalwart of Pi problems and try another power supply and/or cable. If you have a meter, what's the voltage across TP1 and TP2 ?
The second SD card seems to work better, at least it does not give error for apt-get update and apt-get upgrade. Right now, it is upgrading the packages with apt-get upgrade. The previous one has error in the first step. Thanks a lot.

Update: the second SD card works fine now even though it is a cheap generic no-brand low-speed card. I will back it up in case it breaks later.

jl2035
Posts: 3
Joined: Fri Mar 01, 2013 11:45 am

Re: I can not install anything

Thu Jul 25, 2013 12:02 am

so if I have exactly the same issue, i can fix it with buying a new card... damn you raspberry!

jl2035
Posts: 3
Joined: Fri Mar 01, 2013 11:45 am

Re: I can not install anything

Thu Jul 25, 2013 12:25 am

hm.. i think I fixed it! thanks to this guy: http://askubuntu.com/questions/55099/dp ... ear-line-0

Return to “Troubleshooting”